{% extends 'base_3.html' %}
{% load i18n %}
{% load static %}

{% block content %}
<main id="main">

  <!-- ======= Intro Single ======= -->
  <section class="intro-single">
    <div class="container">
      <div class="row">
        <!-- Displays the Hotels Name, Country and City and Company Name -->
        <div class="col-md-12 col-lg-8">
          <div class="title-single-box">
            {% if LANGUAGE_CODE == 'en' %}
            <h1 class="title-single">{{ hotels.en_name }} 
              {% else %}
              <h1 class="title-single">{{ hotels.th_name }} 
            {% endif %}
              <!-- <small class="text-muted">-<u>{{ hotels.partner.CompanyName }}</u></small>  -->
            </h1>
            <span class="color-text-a">{{ hotels.address}} | {{ hotels.city }} | {{ hotels.zipcode }} | 
              {{ hotels.telephone_number }}</span>
          </div>
        </div>
      </div>
    </div>
  </section><!-- End Intro Single-->

  <!-- ======= Property Single ======= -->
  <section class="property-single nav-arrow-b">
    <div class="container">
      <div class="row">

        <!-- Displays a list of all Rooms that this Hotel Offers and the rooms information. -->
        <!-- If Room has more than 0 rooms , Display a button to book the room.-->
        {% if rooms %}
        {% for room in rooms %}
        <div class="container">
          <div class="col-sm-12">
            <div id="property-single-carousel" class="owl-carousel owl-arrow gallery-property">
              {% for Photo in Photos|slice:"1:" %}
              <div><img src="{{ Photo.path.url }}"></div>
              {% endfor %}
              {% for images in room_images %}
                {% if images%}
                <div><img src="{{ images }}"></div>
                {% endif %}
              {% endfor %}
            </div>
            <div class="row justify-content-between">
              <div class="col-md-5 col-lg-4">
                <div class="property-price d-flex justify-content-center foo">
                  <div class="card-header-c d-flex">
                    <div class="card-box-ico">
                      <span class="ion-money">{{ room.price }}</span>
                    </div>
                    <div class="card-title-c align-self-center">
                      <h5 class="title-c">{% trans "BTH" %}</h5>
                    </div>
                  </div>
                </div>
                <div class="property-summary">
                  <div class="row">
                    <div class="col-sm-12">
                      <div class="title-box-d section-t4">
                        <h3 class="title-d">{% trans "Summary" %}</h3>
                      </div>
                    </div>
                  </div>
                  <div class="summary-list">
                    <ul class="list">
                      <li class="d-flex justify-content-between">
                      </li>
                      <li class="d-flex justify-content-between">
                        <strong>{% trans "Room Type" %} :</strong>
                        <span>{{ room.room_type }}</span>
                      </li>
                      <li class="d-flex justify-content-between">
                        <strong>{% trans "Beds" %} :</strong>
                        <span>{{ room.bed_option }}.</span>
                      </li>
                      <li class="d-flex justify-content-between">
                        <strong>{% trans "Max Occupants" %} :</strong>
                        <span>{{ room.capacity }} {% trans "People" %}.</span>
                      </li>
                      <li class="d-flex justify-content-between">
                        <strong>{% trans "Total Rooms" %} :</strong>
                        <span>{{ room.spaceleft }}</span>
                      </li>
                      <li class="d-flex justify-content-between">
                        <strong>{% trans "Check-In Rating" %} :</strong>
                        <img src="{% static starpath %}" /> <!-- Star path-->
                        {% if Rating %}
                        <b>{{ Rating }}%</b>
                        {% endif %}
                      </li>
                    <!-- </ul>
                    {% if room.spaceleft > 0 %}
                    <div class="text-center">
                      <a href="{% url 'reservation:bookroom' hotels.id room.id %}" class="btn btn-success"> Book </a>
                    </div>
                    {% endif %} -->
                  </div>
                </div>
              </div>

              <div class="col-md-7 col-lg-7 section-md-t3">
                <div class="row">
                  <div class="col-sm-12">
                    <div class="title-box-d">
                      <h3 class="title-d">{% trans "Description" %}</h3>
                    </div>
                  </div>
                </div>
                <div class="property-description">
                  <p class="description color-text-a">
                    {{ room.overview }}
                  </p>
                  <!-- <p class="description color-text-a no-margin">
                    {{ room.overview }}
                  </p> -->
                </div>
                <!-- <div class="row section-t3">
                  <div class="col-sm-12">
                    <div class="title-box-d">
                      <h3 class="title-d">Amenities</h3>
                    </div>
                  </div>
                </div>
                <div class="amenities-list color-text-a">
                  <ul class="list-a no-margin">
                    <li>Balcony</li>
                    <li>Outdoor Kitchen</li>
                    <li>Cable Tv</li>
                    <li>Deck</li>
                    <li>Tennis Courts</li>
                    <li>Internet</li>
                    <li>Parking</li>
                    <li>Sun Room</li>
                    <li>Concrete Flooring</li>
                  </ul>
                </div> -->
              </div>
            </div>
          </div>

          {% if room.spaceleft > 0 %}
          <div class="text-center">
            <a href="{% url 'reservation:bookroom' hotels.id room.id %}" class="btn btn-a"> {% trans "Booking" %} </a>
          </div>
          {% endif %}

          <!-- <div class="col-md-10 offset-md-1">
        <ul class="nav nav-pills-a nav-pills mb-3 section-t3" id="pills-tab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="pills-video-tab" data-toggle="pill" href="#pills-video" role="tab"
              aria-controls="pills-video" aria-selected="true">Video</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="pills-plans-tab" data-toggle="pill" href="#pills-plans" role="tab"
              aria-controls="pills-plans" aria-selected="false">Floor Plans</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="pills-map-tab" data-toggle="pill" href="#pills-map" role="tab"
              aria-controls="pills-map" aria-selected="false">Ubication</a>
          </li>
        </ul>
        <div class="tab-content" id="pills-tabContent">
          <div class="tab-pane fade show active" id="pills-video" role="tabpanel" aria-labelledby="pills-video-tab">
            <iframe src="https://player.vimeo.com/video/73221098" width="100%" height="460" frameborder="0"
              webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
          </div>
          <div class="tab-pane fade" id="pills-plans" role="tabpanel" aria-labelledby="pills-plans-tab">
            <img src="{% static 'assets/img/plan2.jpg' %}" alt="" class="img-fluid">
          </div>
          <div class="tab-pane fade" id="pills-map" role="tabpanel" aria-labelledby="pills-map-tab">
            <iframe
              src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3022.1422937950147!2d-73.98731968482413!3d40.75889497932681!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89c25855c6480299%3A0x55194ec5a1ae072e!2sTimes+Square!5e0!3m2!1ses-419!2sve!4v1510329142834"
              width="100%" height="460" frameborder="0" style="border:0" allowfullscreen></iframe>
          </div>
        </div>
      </div>
      <div class="col-md-12">
        <div class="row section-t3">
          <div class="col-sm-12">
            <div class="title-box-d">
              <h3 class="title-d">Contact Agent</h3>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 col-lg-4">
            <img src="{% static 'assets/img/agent-4.jpg' %}" alt="" class="img-fluid">
          </div>
          <div class="col-md-6 col-lg-4">
            <div class="property-agent">
              <h4 class="title-agent">Anabella Geller</h4>
              <p class="color-text-a">
                Nulla porttitor accumsan tincidunt. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet
                dui. Quisque velit nisi,
                pretium ut lacinia in, elementum id enim.
              </p>
              <ul class="list-unstyled">
                <li class="d-flex justify-content-between">
                  <strong>Phone:</strong>
                  <span class="color-text-a">(222) 4568932</span>
                </li>
                <li class="d-flex justify-content-between">
                  <strong>Mobile:</strong>
                  <span class="color-text-a">777 287 378 737</span>
                </li>
                <li class="d-flex justify-content-between">
                  <strong>Email:</strong>
                  <span class="color-text-a">annabella@example.com</span>
                </li>
                <li class="d-flex justify-content-between">
                  <strong>Skype:</strong>
                  <span class="color-text-a">Annabela.ge</span>
                </li>
              </ul>
              <div class="socials-a">
                <ul class="list-inline">
                  <li class="list-inline-item">
                    <a href="#">
                      <i class="fa fa-facebook" aria-hidden="true"></i>
                    </a>
                  </li>
                  <li class="list-inline-item">
                    <a href="#">
                      <i class="fa fa-twitter" aria-hidden="true"></i>
                    </a>
                  </li>
                  <li class="list-inline-item">
                    <a href="#">
                      <i class="fa fa-instagram" aria-hidden="true"></i>
                    </a>
                  </li>
                  <li class="list-inline-item">
                    <a href="#">
                      <i class="fa fa-pinterest-p" aria-hidden="true"></i>
                    </a>
                  </li>
                  <li class="list-inline-item">
                    <a href="#">
                      <i class="fa fa-dribbble" aria-hidden="true"></i>
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <div class="col-md-12 col-lg-4">
            <div class="property-contact">
              <form class="form-a">
                <div class="row">
                  <div class="col-md-12 mb-1">
                    <div class="form-group">
                      <input type="text" class="form-control form-control-lg form-control-a" id="inputName"
                        placeholder="Name *" required>
                    </div>
                  </div>
                  <div class="col-md-12 mb-1">
                    <div class="form-group">
                      <input type="email" class="form-control form-control-lg form-control-a" id="inputEmail1"
                        placeholder="Email *" required>
                    </div>
                  </div>
                  <div class="col-md-12 mb-1">
                    <div class="form-group">
                      <textarea id="textMessage" class="form-control" placeholder="Comment *" name="message" cols="45"
                        rows="8" required></textarea>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <button type="submit" class="btn btn-a">Send Message</button>
                  </div>
                </div>
              </form>
            </div>
          </div> -->
          <!-- Unless there is only 1 hotel in this City , Display a recommended Hotel. -->
          <!-- <dt class="col-sm-5">Other Hotels Nearby:</dt>
          <dd class="col sm-7">
            {% if Recommended %}
            <a href="{% url 'hotel:hotel_detail' Recommended.id %}">{{Recommended.Name}}</a>
            {% else %}
            <p>
              No other nearby Hotels.
            </p>
            {% endif %}
          </dd> -->

          <div class="container">
            <!-- Displays a table with all the reviews of the hotel that users have left. -->
            <h4>{% trans "Reviews" %}:</h4>
            <table class="table">
              <thead>
                <tr>
                  <th>{% trans "User" %}</th>
                  <th>{% trans "Comment" %}</th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                {% if reviews %}
                {% for review in reviews %}
                <tr>
                  <td><a class="" href="#">{{review.user.username}}:</a></td>
                  <td>{{ review.comment }}</td>
                  <!-- If the User that Posted the review and the current user match , display an edit and Delete button.-->
                  {% if review.user_id == user.id %}
                  <td><a class="btn btn-default pull-right btn-sm" href="{% url 'hotel:review_update' review.id %}">{% trans "Edit Review" %}</a></td>
                  <td>
                    <form action="{% url 'hotel:review_delete' review.id %}" method="POST"
                      enctype="multipart/form-data">
                      {% csrf_token %}
                      <button type="submit" class="btn btn-danger pull-right btn-sm">{% trans "Delete Review" %}</button>
                    </form>
                  </td>
                  {% else %}
                  <td></td>
                  <td></td>
                  {%endif%}
                </tr>
                {% endfor%}
                {% endif %}
              </tbody>
            </table>
            <!-- If the User has made a booking with the current hotel , display a Add review form. -->
            {% if allowReview == True %}
            <a class="btn btn-info pull-right btn-sm" href="{% url 'hotel:review_create' hotels.id %}">ADD Review</a>
            {% endif %}
            <!-- If Laravel Validation detects errors then this will show a message. -->
          </div>
        </div>
      </div>
    </div>
    <div class="line" style="padding-top: 5em;"></div>
    {% endfor %}
    {% endif %}
    </div>
  </section><!-- End Property Single-->
</main>
{% endblock %}

<!-- The scripts for the page are included below , Slideshow / Rating -->
{% block custom_js %}
<script src="{% static 'js/slick.js' %}"></script>
<script>
  $('.autoplay').on('init', function (slick) {
    console.log('fired');
    $('.autoplay').fadeIn(300);
  })
    .slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      autoplay: true,
      autoplaySpeed: 2500,
      arrows: false,
      infinite: true,
      speed: 500,
      fade: true,
      cssEase: 'linear',
      lazyLoad: 'ondemand'
    });
</script>

<!-- 
<div class="panel panel-primary">
  <div class="panel-heading">
    <h3 class="panel-title ">Weather information about <b>{{hotels.City}}</b>:</h3>
  </div>
  <div class="panel panel-body">
    <div class="text-center">
      <b>Current Temperature</b>
      <p id="temp"></p>
      <img id="icon" src="" />
    </div>
    <div class="text-center">
      <b>Current Weather</b>
      <p id="weather">
      </p>
      <p id="desc"></p>
    </div>
    <div id="info">
    </div>
  </div>
</div>
<script>
  var City = "{{hotels.City}}";
  function ascii(a) { return String.fromCharCode(a); }
  function displayweather(data) {
    if (data.length !== 0) {
      var mainweather = (data.weather[0].main);
      var desc = (data.weather[0].description);
      var temp = (data.main.temp);
      var code = (data.weather[0].icon)
      var hum = (data.main.humidity)
      var matemp = (data.main.temp_max)
      var Wind = (data.wind.speed)
      var img = "http://openweathermap.org/img/w/" + code + ".png"
      console.log()
      var main = $('<p>').appendTo('#weather').text(mainweather + " | " + desc);
      var temp = $('<p>').appendTo('#temp').text(temp + ascii(176) + "C");
      var humidity = $('<p>').appendTo('#info').text("Humidity:" + "   " + hum + "%" + "  -   " + " Max Temp: " + matemp + " " + ascii(176) + "C" + "  -  " + " Wind Speed: " + Wind + "Mph");
      //  var mintemp = $('<p>').appendTo('#info').text("Min Temp: "+mitemp+ ascii(176) +"C");
      //  var wspeed = $('<p>').appendTo('#info').text("Wind Speed: "+Wind+ "Mph");
      $("#icon").attr("src", img)
    }
    else {
      var error = $('<p>').appendTo('#info').text("Sorry , We have been unable to retrieve live weather information");
    }
  }

  $(document).ready(function () {
    $.getJSON("http://api.openweathermap.org/data/2.5/weather?q=" + City + "&units=metric&APPID=ae9512f4de94ef9415b53d6a357bd78a", displayweather);
  })
</script> -->

{% endblock %}